/***************************************
	Auteur : Pierre Aubert
	Mail : aubertp7@gmail.com
	Licence : CeCILL-C
****************************************/

#include <cmath>

#include "function_base.h"

///Do the function call
/**	@param[out] tabResult : table of results of function(tabX)
 * 	@param tabX : input table
 * 	@param nbElement : number of elements in the tables
*/
void function_base(float* tabResult, const float* tabX, size_t nbElement){
	for(size_t i(0lu); i < nbElement; ++i){
		tabResult[i] = std::COMPUTE_FUNCTION_DEF(tabX[i]);
	}
}

