/***************************************
	Auteur : Pierre Aubert
	Mail : aubertp7@gmail.com
	Licence : CeCILL-C
****************************************/

#ifndef __RANDINIT_H__
#define __RANDINIT_H__

#include <fenv.h>

#include <stdlib.h>
#include <iostream>

unsigned int initRandom();

template<typename T>
void setRandValue(T & val, const T & inf, const T & sup);

template<typename T>
T getRandValue(const T & inf, const T & sup);

template<typename T>
void setValueInTable(T * tabValue, size_t nbValue, size_t nbNan, T value);

#include "randinit_impl.h"

#endif

